package com.ifish.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 等级信息
 * @author Administrator
 *
 */
@Entity
@Table(name="tbl_grade")
public class Grade implements Serializable{

	private static final long serialVersionUID = -4501110511210925531L;
	/**
	 * 等级
	 */
	@Id
	@Column(name="grade_num")
	private Integer gradeNum;
	/**
	 * 等级名称
	 */
	@Column(name="grade_name",nullable=false,length=10)
	private String gradeName;
	/**
	 * 最小经验值<=
	 */
	@Column(name="min_value",nullable=false)
	private Integer minValue;
	/**
	 * 最大经验值<
	 */
	@Column(name="max_value",nullable=false)
	private Integer maxValue;
	/**
	 * 金币加成
	 */
	@Column(name="gold_addition",precision=3,scale=2)
	private BigDecimal goldAddition;
	/**
	 * 等级描述
	 */
	@Column(name="grade_remark",nullable=false,length=50)
	private String gradeRemark;
	
	public Integer getGradeNum() {
		return gradeNum;
	}
	public void setGradeNum(Integer gradeNum) {
		this.gradeNum = gradeNum;
	}
	public String getGradeName() {
		return gradeName;
	}
	public void setGradeName(String gradeName) {
		this.gradeName = gradeName;
	}
	public Integer getMinValue() {
		return minValue;
	}
	public void setMinValue(Integer minValue) {
		this.minValue = minValue;
	}
	public Integer getMaxValue() {
		return maxValue;
	}
	public void setMaxValue(Integer maxValue) {
		this.maxValue = maxValue;
	}
	public String getGradeRemark() {
		return gradeRemark;
	}
	public void setGradeRemark(String gradeRemark) {
		this.gradeRemark = gradeRemark;
	}
	public BigDecimal getGoldAddition() {
		return goldAddition;
	}
	public void setGoldAddition(BigDecimal goldAddition) {
		this.goldAddition = goldAddition;
	}
	
}
